Subject: Re: linux-next: build failure after merge of the char-misc tree

From: Greg Kroah-Hartman <[email-masked]>
Date: Wed, 30 Apr 2025 16:09:10 +0200

On Wed, Apr 30, 2025 at 09:16:56AM -0300, Thadeu Lima de Souza Cascardo wrote:
> On Tue, Apr 29, 2025 at 03:54:04PM +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the char-misc tree, today's linux-next build (powerpc
> > ppc64_defconfig) failed like this:
> > 
> > ERROR: modpost: "init_mknod" [drivers/misc/misc_minor_kunit.ko] undefined!
> > ERROR: modpost: "init_unlink" [drivers/misc/misc_minor_kunit.ko] undefined!
> > 
> > Caused by commit
> > 
> >   45f0de4f8dc3 ("char: misc: add test cases")
> > 
> > I have used the char-misc tree from next-20250428 for today.
> > 
> > -- 
> > Cheers,
> > Stephen Rothwell
> 
> Hi, Greg.
> 
> I have a fix for this one. How stable is char-misc-next? Should I include a
> Fixes: line referring to this commit ID? Or is there a chance
> char-misc-next would be rebased or the commit dropped, making the ID
> invalid?

It does not get rebased, so send a fix, otherwise if you:

> Or would you rather that I submit a v5?

Do that then I need to do a revert, and then add you v5.  So a fix would
be simplest, thanks!

greg k-h